#Autogenerated class


from xml.dom.minidom import parseString

from bioMoby.mobyDataTypes import MobyInteger
from bioMoby.mobyDataTypes import MobyString
from bioMoby.mobyDataTypes import MobyObject


class MobyTestout(MobyObject):
    """ Description: Test output object
        Author: www.iris.irri.org
        Contact: mulat@cgiar.org
    """
    def __init__(self,namespace="",id="",Gid=0,Dvalue="",Scaleid=0,Tmethid=0,articleName=""):
        self._articles={"Gid":"gid","Dvalue":"dvalue","Scaleid":"scaleid","Tmethid":"tmethid"}
        self.namespace=namespace
        self.id=id
        self.Gid=Gid
        self.Dvalue=Dvalue
        self.Scaleid=Scaleid
        self.Tmethid=Tmethid
        self.__prefix__="moby"
        self.__tag__="testout"
        self.articleName=articleName


    def fromMoby(self, value):

        """ Load the attributes from an XML string
        """
        from bioMoby.mobyMarshal import MobyUnmarshaller
        doc=value
        if isinstance(value,str):
            doc=parseString(value).firstChild
        um=MobyUnmarshaller()
        self.content=""
        self.namespace=doc.getAttribute("moby:namespace")
        if self.namespace=="":
            self.namespace=doc.getAttribute("namespace")
        self.id=doc.getAttribute("moby:id")
        if self.id=="":
            self.id=doc.getAttribute("id")

        self.articleName=doc.getAttribute("moby:articleName")
        if self.articleName=="":

            self.articleName=doc.getAttribute("articleName")
        for elt in doc.childNodes:
            if elt.nodeType==elt.TEXT_NODE or elt.nodeType==elt.CDATA_SECTION_NODE:
                self.content=self.content+elt.nodeValue
            if elt.nodeName=="CrossReference" or elt.nodeName=="moby:CrossReference":
                self.__cross__=[]
                for ref in elt.childNodes:
                    self.__cross__.append(ref)
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="Integer" or elt.nodeName=="moby:Integer") and (elt.getAttribute("articleName")=="Gid" or elt.getAttribute("moby:articleName")=="Gid"):
                t=MobyInteger()
                t.fromMoby(elt)
                self.Gid=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="Dvalue" or elt.getAttribute("moby:articleName")=="Dvalue"):
                t=MobyString()
                t.fromMoby(elt)
                self.Dvalue=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="Integer" or elt.nodeName=="moby:Integer") and (elt.getAttribute("articleName")=="Scaleid" or elt.getAttribute("moby:articleName")=="Scaleid"):
                t=MobyInteger()
                t.fromMoby(elt)
                self.Scaleid=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="Integer" or elt.nodeName=="moby:Integer") and (elt.getAttribute("articleName")=="Tmethid" or elt.getAttribute("moby:articleName")=="Tmethid"):
                t=MobyInteger()
                t.fromMoby(elt)
                self.Tmethid=t.content